| Home | Libraries | People | FAQ | More

## Class lock_error

boost::lock_error —

The lock_error class defines an exception type thrown to indicate a locking related error has been detected.

## Synopsis

    class lock_error : public std::logical_error {
    public:
      // construct/copy/destruct
      lock_error();
    };

## Description

Examples of errors indicated by a lock_error exception include a lock operation which can be determined to result in a deadlock, or unlock operations attempted by a thread that does not own the lock.

### `lock_error` construct/copy/destruct

1.     lock_error();

   Effects: Constructs a `lock_error` object.

| Copyright © 2001-2003 William E. Kempf